import { AccomOrderListType } from './type';

declare const _default: import('vue').DefineComponent<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    total: import('vue').Ref<number>;
    handlePageChange: (page: number) => void;
    handleSizeChange: (size: number) => void;
    selectType: import('vue').Ref<number>;
    payStatusList?: import('vue').Ref<number[] | undefined> | undefined;
    orderNum?: import('vue').Ref<string | undefined> | undefined;
    orderStatus?: import('vue').Ref<import('../../constants/orders').OrderStatusEnum | undefined> | undefined;
    pageSize: import('vue').Ref<number>;
    orderBy: import('vue').Ref<0>;
    createTimeStart?: import('vue').Ref<number | undefined> | undefined;
    channelOrderNum?: import('vue').Ref<number | undefined> | undefined;
    roomTypeId?: import('vue').Ref<number | undefined> | undefined;
    checkinTimeEnd?: import('vue').Ref<number | undefined> | undefined;
    channelIdList?: import('vue').Ref<string[] | undefined> | undefined;
    companyIdList?: import('vue').Ref<string[] | undefined> | undefined;
    checkoutTimeEnd?: import('vue').Ref<number | undefined> | undefined;
    serviceStatus?: import('vue').Ref<import('../../constants/orders').OrderServiceStatusEnum | undefined> | undefined;
    order: import('vue').Ref<boolean>;
    checkinTimeStart?: import('vue').Ref<number | undefined> | undefined;
    createTimeEnd?: import('vue').Ref<number | undefined> | undefined;
    pageNum: import('vue').Ref<number>;
    roomName?: import('vue').Ref<string | undefined> | undefined;
    contactPersonName?: import('vue').Ref<string | undefined> | undefined;
    boolSettleRoom?: import('vue').Ref<boolean | undefined> | undefined;
    checkoutTimeStart?: import('vue').Ref<number | undefined> | undefined;
    orderNumOrChannelOrderNum?: import('vue').Ref<string | undefined> | undefined;
    contactPhone?: import('vue').Ref<string | undefined> | undefined;
    payStatus?: import('vue').Ref<0 | 1 | 2 | undefined> | undefined;
    checkinType?: import('vue').Ref<1 | 2 | 5 | 6 | 3 | 4 | undefined> | undefined;
    exceptionSelect?: import('vue').Ref<0 | 1 | 2 | 3 | undefined> | undefined;
    remark?: import('vue').Ref<string | undefined> | undefined;
    booltodoRoom?: import('vue').Ref<boolean | undefined> | undefined;
    originId?: import('vue').Ref<string | undefined> | undefined;
    serviceStatusList: import('vue').Ref<number[]>;
    keyword: import('vue').Ref<string>;
    querySearch: (queryString: string, cb: Function) => void;
    handleInputChange: () => void;
    handleSelect: (item: {
        value: string;
        type: number | string;
    }) => void;
    tableList: import('vue').Ref<{
        orderId?: number | undefined;
        orderNum?: string | undefined;
        customerId?: number | undefined;
        channelOrderNum?: string | undefined;
        boolChannelLink?: boolean | undefined;
        sumAmount?: number | undefined;
        settleStatus?: number | undefined;
        createTime?: string | undefined;
        payStatus?: (0 | 1 | 2 | 3 | 4) | undefined;
        orderStatus?: number | undefined;
        originId?: number | undefined;
        originName?: string | undefined;
        contactPersonName?: string | undefined;
        contactPhone?: string | undefined;
        salesManId?: number | undefined;
        salesManName?: string | undefined;
        butlerId?: number | undefined;
        butlerName?: string | undefined;
        enterpriseId?: number | undefined;
        serviceList?: {
            roomTypeName?: string | undefined;
            roomId?: number | undefined;
            roomName?: string | undefined;
            checkinTime?: string | undefined;
            checkoutTime?: string | undefined;
            status?: (0 | 10 | 20 | 30 | 40 | 50 | 60 | 70 | 80) | undefined;
            checkinType?: (-1 | 1 | 2 | 3 | 4 | 5 | 6) | undefined;
            amount?: number | undefined;
            boolBundle?: boolean | undefined;
            boolBox?: boolean | undefined;
            boxLabelName?: string | undefined;
        }[] | undefined;
        roomIdList?: number[] | undefined;
    }[]>;
    OrderStatusEnumMap: Record<import('../../constants/orders').OrderStatusEnum, string>;
    associationOrder: (row: AccomOrderListType) => void;
}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, "submit"[], "submit", import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onSubmit?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
}, {}>;
export default _default;
